umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

ObjectsModel Member List

This is the complete list of members for ObjectsModel, including all inherited members.

add(UMLObject *o) | ObjectsModel |
columnCount(const QModelIndex &parent) const | ObjectsModel |
data(const QModelIndex &index, int role=Qt::DisplayRole) const | ObjectsModel |
emitDataChanged(const QModelIndex &index) | ObjectsModel |
emitDataChanged(int index) | ObjectsModel |
emitDataChanged(UMLObject *o) | ObjectsModel |
headerData(int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const | ObjectsModel |
m_allObjects | ObjectsModel | protected
ObjectsModel() | ObjectsModel | explicit
remove(UMLObject *o) | ObjectsModel |
rowCount(const QModelIndex &parent) const | ObjectsModel |